## RetroControllerType RetroControllerType — A controller type enumeration |

## Functions

int | retro_controller_type_get_id_count ()
int | retro_controller_type_get_index_count ()

## Types and Values

enum | RetroControllerType

## Object Hierarchy

        GEnum
        ╰── RetroControllerType

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_controller_type_get_id_count ()

    int
    retro_controller_type_get_id_count (RetroControllerType type);

### retro_controller_type_get_index_count ()

    int
    retro_controller_type_get_index_count (RetroControllerType type);

## Types and Values

### enum RetroControllerType

Represents the base types for Libretro controllers.

#### Members

RETRO_CONTROLLER_TYPE_NONE | no controller |
RETRO_CONTROLLER_TYPE_JOYPAD | a classic gamepad |
RETRO_CONTROLLER_TYPE_MOUSE | a simple mouse |
RETRO_CONTROLLER_TYPE_KEYBOARD | a keyboard |
RETRO_CONTROLLER_TYPE_LIGHTGUN | a lightgun |
RETRO_CONTROLLER_TYPE_ANALOG | a gamepad with analog sticks |
RETRO_CONTROLLER_TYPE_POINTER | a screen pointer |
RETRO_CONTROLLER_TYPE_TYPE_MASK | a mask to get the super type of a derived one |

## See Also

RetroController